Bug 356401 - slapd aborts on startup when /etc/openldap/ldap.conf contains an invalid TLS_CACERT entry
slapd aborts on startup when /etc/openldap/ldap.conf contains an invalid TLS_...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openldap (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
:
Depends On: 165172
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-29 09:14 EDT by Jan Safranek
Modified: 2010-07-16 10:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:53:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Safranek 2007-10-29 09:14:22 EDT
Cloning from RHEL4 to RHEL5

+++ This bug was initially created as a clone of Bug #165172 +++

Description of problem: 
 
ldap.conf: 
URI ldap://127.0.0.1 
BASE dc=redhat,dc=com 
TLS_CACERT /mnt/testarea/ca.crt 
 
Use the specified /etc/openldap/ldap.conf file and any slapd.conf file you 
want.  When you try to start slapd, it aborts with 
slapd: ../../../libraries/libldap_r/rdwr.c:93: ldap_pvt_thread_rdwr_destroy: 
Assertion `rw != ((void *)0)' failed. 
Aborted

-- Additional comment from jsafrane@redhat.com on 2007-10-29 09:09 EST --
Created an attachment (id=241821)
initscript patch

The readability of the CACERT file can be checked in init script, in the same
way as TLS files from slapd.conf.

User will see during startup:
/mnt/testarea/ca.crt is not readable by "ldap" [WARNING]
Starting slapd: 			       [FAILED]

This should be enough for the user to trace down his/her error.
Comment 1 RHEL Product and Program Management 2007-11-19 08:14:25 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 RHEL Product and Program Management 2007-12-10 07:34:27 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.
Comment 4 RHEL Product and Program Management 2008-06-02 16:29:45 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2009-01-20 15:53:03 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0090.html

Note You need to log in before you can comment on or make changes to this bug.